# Connect-cli

## Overview

Use this package to configure and control your Krucial Connect K-Cell. You will require a valid login for 
[Krucial Connect](https://connect.test.krucial.cloud/). See the Krucial Connect 
[documentation](https://connect.docs.krucial.cloud/) for details.

## Installation

This is a node based cli and the presumption is that node is already installed in your system. Generate a .npmrc file with the following command:

```bash
echo "registry=https://npm.ci.krucial.cloud/" > .npmrc
```

Install with:

```bash
npm install -g @krucial/connect-cli
```

You should now be able to run the application with:

```bash
connect-cli help
```

### Upgrading

```bash
npm uninstall -g @krucial/connect-cli
```

## Configuration

It is necessary to configure the CLI with appropriate credentials. Your client-id and client-secret values are available
via the [Krucial Connect](https://connect.test.krucial.cloud/) application. 

```bash
connect-cli conf --client-id <client-id> --client-secret <client-secret>
```

Allows the adding of key value pairs to the CLI's config. Please replace <client-id> with a client-id and <client-secret> 
with a client-secret.

## Sign in 

To be able to use the CLI, you must first generate a valid JWT token. This is done using the validate-krucial-client command: 

```bash
connect-cli validate-krucial-client
```

## Running Commands

For full list of commands type:

```bash
connect-cli
```

The structure of the project is split into "topics". The topics used in the project are defined as following:
1. api-integration
2. device
3. device-profile
4. gateway
5. deployment
6. webhook

Various commands are run with these topics. To obtain a list of all commands for a particular topic, run the following:

```bash
connect-cli topic-name help
```
Some of these flags are optional however some are also required. Running:

```bash
connect-cli topic-name command-name --help
```
will give a detailed explanation of any command along with all flags used, what these flags mean and some example
commands that can be used to get a successful result.

### Tab completion

Tab completion should be enabled by default for bash and zsh shells. However, if it does not work automatically attempt the following command:

```bash
 connect-cli autocomplete
```

Follow the onscreen instructions to enable autocompletion e.g.

```bash
 printf "eval $(connect-cli autocomplete:script bash)" >> ~/.bashrc; source ~/.bashrc 
```
