"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Delete extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(Delete).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const base_api = new sigma_api_builder_1.default().buildApi("api-integration");
            const name = flags.name;
            base_api.v1ApiintegrationClientNameDelete(name).then((res) => {
                console.log(`API integration with name ${name} successfully deleted.`);
                if (res.data != "") {
                    console.log(res.data);
                }
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            console.log(err.message);
        }
    }
}
exports.default = Delete;
Delete.description = "Delete an API integration.";
Delete.examples = [
    "<%= config.bin %> <%= command.id %> --name NameToDelete"
];
Delete.flags = {
    name: core_1.Flags.string({ char: "n", description: "Name of API integration to delete.", required: true })
};
