"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Get extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(Get).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const base_api = new sigma_api_builder_1.default().buildApi("api-integration");
            const name = flags.name;
            let api_call;
            if (name) {
                api_call = base_api.v1ApiintegrationClientNameSecretGet(name);
            }
            else {
                api_call = base_api.v1ApiintegrationGet();
            }
            api_call.then((res) => {
                console.log(res.data);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            const error = err;
            console.log(error.message);
        }
    }
}
exports.default = Get;
Get.description = "Get all api-integrations. If name flag is set, get api-integration by name.";
Get.examples = [
    "<%= config.bin %> <%= command.id %>",
    "<%= config.bin %> <%= command.id %> --name apiIntegrationNameToGet"
];
Get.flags = {
    name: core_1.Flags.string({ char: "n", description: "API integration name." })
};
