"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Post extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(Post).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const base_api = new sigma_api_builder_1.default().buildApi("api-integration");
            const name = flags.name;
            base_api.v1ApiintegrationPost(name).then((res) => {
                console.log(`API integration with name ${name} successfully created.`);
                if (res.data != "") {
                    console.log(res.data);
                }
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            console.log(err.message);
        }
    }
}
exports.default = Post;
Post.description = "Create a new api integration.";
Post.examples = [
    "<%= config.bin %> <%= command.id %> --name NewName"
];
Post.flags = {
    name: core_1.Flags.string({ char: "n", description: "Name for new api integration.", required: true })
};
