"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Get extends core_1.Command {
    async run() {
        try {
            const base_api = new sigma_api_builder_1.default().buildApi("plugin");
            let api_call = base_api.v1PluginGet();
            api_call.then((res) => {
                console.log(res.data);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            const error = err;
            console.log(error.message);
        }
    }
}
exports.default = Get;
Get.description = "Get all plugins within your organisation.";
Get.examples = [
    "<%= config.bin %> <%= command.id %>"
];
