"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Get extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(Get).then((res) => {
                flags = res.flags;
            }).catch(() => {
                throw new Error("Flag passed is not supported.");
            });
            const name = flags.name;
            const base_api = new sigma_api_builder_1.default().buildApi("device-profile");
            let api_call;
            if (name) {
                api_call = base_api.v1DeviceprofileNameGet(name);
            }
            else {
                api_call = base_api.v1DeviceprofileGet();
            }
            api_call.then((res) => {
                console.log(res.data);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            const error = err;
            console.log(error.message);
        }
    }
}
exports.default = Get;
Get.description = "Get all device-profiles. If name flag is set, get device-profile by name";
Get.examples = [
    "<%= config.bin %> <%= command.id %>",
    "<%= config.bin %> <%= command.id %> --name"
];
Get.flags = {
    name: core_1.Flags.string({ char: "n", description: "Name of device profile to fetch." })
};
