"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Delete extends core_1.Command {
    async run() {
        let flags;
        const base_api = new sigma_api_builder_1.default().buildApi("device");
        try {
            await this.parse(Delete).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const devEui = flags.devEui;
            base_api.v1DeviceDevEuiDelete(devEui).then((res) => {
                console.log(`Device with dev EUI ${devEui} successfully deleted.`);
                if (res.data != "") {
                    console.log(res);
                }
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            console.log(err.message);
        }
    }
}
exports.default = Delete;
Delete.description = "Delete a device by dev EUI";
Delete.examples = [
    "<%= config.bin %> <%= command.id %> --devEui DevEUIOfDeviceToDelete"
];
Delete.flags = {
    devEui: core_1.Flags.string({ char: "d", description: "Dev EUI to delete.", required: true })
};
