"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class Get extends core_1.Command {
    async run() {
        let flags;
        const base_api = new sigma_api_builder_1.default().buildApi("device");
        let api_call;
        try {
            await this.parse(Get).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const devEui = flags.devEui;
            if (devEui) {
                api_call = base_api.v1DeviceDevEuiGet(devEui);
            }
            else {
                api_call = base_api.v1DeviceGet();
            }
            api_call.then((res) => {
                console.log(res.data);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            console.log(err.message);
        }
    }
}
exports.default = Get;
Get.description = "get all devices. If name flag is set, get device by devEui";
Get.examples = [
    "<%= config.bin %> <%= command.id %>",
    "<%= config.bin %> <%= command.id %> --devEui DevEui of device to get"
];
Get.flags = {
    devEui: core_1.Flags.string({ char: "d", description: "Dev EUI." })
};
