"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class PutTags extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(PutTags).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const base_api = new sigma_api_builder_1.default().buildApi("device");
            const devEui = flags.devEui;
            const tags = JSON.parse(flags.tags);
            let updateDeviceTagsDto = { "tags": tags };
            base_api.v1DeviceDevEuiTagsPut(devEui, updateDeviceTagsDto).then((res) => {
                console.log(res.data);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            console.log(err.message);
        }
    }
}
exports.default = PutTags;
PutTags.description = "Update device tags by DevEUI";
PutTags.examples = [
    "<%= config.bin %> <%= command.id %> --devEui DevEuiOfDevice --tags \"{}\""
];
PutTags.flags = {
    devEui: core_1.Flags.string({ char: "d", description: "DevEUI of device to update.", required: true }),
    tags: core_1.Flags.string({ char: "t", description: "Tags to update on device.", required: true })
};
