"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const get_user_details_1 = require("../config/get-user-details");
const helper_functions_1 = require("../config/helper-functions");
class ValidateKrucialClient extends core_1.Command {
    async run() {
        const helperFunctions = new helper_functions_1.default();
        let jsonData = new helper_functions_1.default().readConfFile(helperFunctions.ConfigFilePath);
        if (jsonData != null) {
            const clientId = jsonData["clientId"];
            const clientSecret = jsonData["clientSecret"];
            const token = new get_user_details_1.default().getUserDetails(clientId + ":" + clientSecret);
            token.onload = () => {
                if (token.status >= 400) {
                    console.log("There has been a problem authenticating you. Please try again.");
                    return;
                }
                const res = JSON.parse(token.response);
                jsonData.sigma_access_token = res["access_token"];
                //write config values out to file
                helperFunctions.writeConfFile(jsonData);
                console.log("Token successfully obtained - you can run commands now.");
            };
        }
        else {
            console.log("client id and secret values have not been set.");
            console.log("try using: connect-cli conf --client-id <client-id> --client-secret <client-secret>");
            console.log("to set your connect-conf values");
        }
    }
}
exports.default = ValidateKrucialClient;
ValidateKrucialClient.description = "Obtain a token from client id and secret.";
