"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const helper_functions_1 = require("../../config/helper-functions");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
class Delete extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(Delete).then((res) => {
                flags = res.flags;
            }).catch((err) => {
                throw new Error(err);
            });
            const name = flags.name;
            const helperFunctions = new helper_functions_1.default();
            const base_api = new sigma_api_builder_1.default().buildApi("webhook");
            base_api.v1WebhookNameDelete(name).then((res) => {
                if (res === undefined) {
                    console.log(`Webhook with name ${name} successfully deleted.`);
                    return;
                }
                console.log(res);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            console.log(err.message);
        }
    }
}
exports.default = Delete;
Delete.description = "Delete a webhook.";
Delete.examples = [
    "<%= config.bin %> <%= command.id %>"
];
Delete.flags = {
    name: core_1.Flags.string({ char: "n", description: "Name of webhook to delete.", required: true })
};
