"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const sigma_api_builder_1 = require("../../config/sigma-api-builder");
const helper_functions_1 = require("../../config/helper-functions");
class GetResponses extends core_1.Command {
    async run() {
        let flags;
        try {
            await this.parse(GetResponses).then((res) => {
                flags = res.flags;
            }).catch(() => {
                throw new Error("Flag passed is not supported.");
            });
            const name = flags.name;
            const base_api = new sigma_api_builder_1.default().buildApi("webhook");
            base_api.v1WebhookWebhookNamePostResponsesGet(name).then((res) => {
                console.log(res.data);
            }).catch((err) => {
                new helper_functions_1.default().handleError(err);
            });
        }
        catch (err) {
            const error = err;
            console.log(error.message);
        }
    }
}
exports.default = GetResponses;
GetResponses.description = "Get all webhook responses. If name flag is set, get webhook by name.";
GetResponses.examples = [
    "<%= config.bin %> <%= command.id %>",
    "<%= config.bin %> <%= command.id %> --name NameOfWebhookToGetResponsesFor"
];
GetResponses.flags = {
    name: core_1.Flags.string({ char: "n", description: "Name of webhook to get responses for." })
};
