"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
class HelperFunctions {
    constructor() {
        this.ConfigFilePath = path.join(__dirname, "../../conf.json");
    }
    handleError(err) {
        console.log("Issue detected with communications. Please ensure that your credentials have not expired.");
        console.log(err.response["status"] + " " + err.response["statusText"]);
        console.log(err.response.data);
    }
    readConfFile(path) {
        try {
            const data = fs.readFileSync(path);
            return JSON.parse(data.toString());
        }
        catch (error) {
            return null;
        }
    }
    writeConfFile(jsonData) {
        try {
            fs.writeFileSync(this.ConfigFilePath, JSON.stringify(jsonData), "utf8");
        }
        catch (error) {
            console.log(error, "There has been an issue writing config values to file.");
            return;
        }
    }
}
exports.default = HelperFunctions;
