"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const endpoints_1 = require("../endpoints");
const sigma_configuration_1 = require("./sigma-configuration");
class SigmaApiBuilder {
    buildApi(api_to_build) {
        const conf = new sigma_configuration_1.default().buildConf();
        if (api_to_build === "api-integration") {
            return new endpoints_1.ApiIntegrationApi(conf);
        }
        else if (api_to_build === "deployment") {
            return new endpoints_1.DeploymentApi(conf);
        }
        else if (api_to_build === "device") {
            return new endpoints_1.DeviceApi(conf);
        }
        else if (api_to_build === "k-cell") {
            return new endpoints_1.KCellApi(conf);
        }
        else if (api_to_build === "k-cell-operations") {
            return new endpoints_1.OperationsApi(conf);
        }
        else if (api_to_build === "webhook") {
            return new endpoints_1.WebhookApi(conf);
        }
        else if (api_to_build === "device-profile") {
            return new endpoints_1.DeviceProfileApi(conf);
        }
        else if (api_to_build === "plugin") {
            return new endpoints_1.PluginApi(conf);
        }
        else {
            throw new Error("Could not understand what type of api to build.");
        }
    }
}
exports.default = SigmaApiBuilder;
