"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const endpoints_1 = require("../endpoints");
const helper_functions_1 = require("../config/helper-functions");
class CreateSigmaConf {
    constructor() {
        this.BaseApiPath = "https://sigma.api.krucial.cloud";
    }
    buildConf() {
        const helperFunctions = new helper_functions_1.default();
        let jsonData = new helper_functions_1.default().readConfFile(helperFunctions.ConfigFilePath);
        if (jsonData.sigma_access_token !== undefined) {
            const token = jsonData.sigma_access_token;
            // Actual basepath is updated by CI scripts based on the build environment. Leave as localhost in this file.
            let confParams = {
                "apiKey": "Bearer " + token,
                "basePath": this.BaseApiPath
            };
            return new endpoints_1.Configuration(confParams);
        }
        else {
            console.log("Access token has not been set. Please run the validate-krucial-client command.");
            return;
        }
    }
}
exports.default = CreateSigmaConf;
